#!/usr/bin/python
# -*- coding: utf-8 -*-

SphereMat=O.materials.append(FrictMat(young=1e7,poisson=0.5,frictionAngle=30,density=2600))
NoMat=O.materials.append(FrictMat(young=0,poisson=0,frictionAngle=0,density=0))

O.bodies.append(utils.sphere((.5,.5,.5),.1,material=SphereMat))

O.engines=[
	ForceResetter(),
	InsertionSortCollider([Bo1_Sphere_Aabb(),Bo1_Facet_Aabb()]),
	InteractionLoop(
		[Ig2_Sphere_Sphere_ScGeom(),Ig2_Facet_Sphere_ScGeom()],
		[Ip2_FrictMat_FrictMat_MindlinPhys()],
		[Law2_ScGeom_MindlinPhys_Mindlin()]
		),
	NewtonIntegrator(damping=0.9)
]

num_facets = 10000

#now facets will be created and erased several times ...
for ii in range(0,200):
	if ii != 0:
		for aa in facets_ids:
			O.bodies.erase(aa)	#bug is here! erase command will not free memory of facets information

	O.run(10,True)

	facets_ids = []
	for jj in range(0,num_facets):
		facets_ids.append(O.bodies.append(utils.facet([[0,0,jj/num_facets],[1,0,jj/num_facets],[1,1,jj/num_facets]],material=NoMat)))

